<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ChvoteVariantSubjectCardComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/core/chvote-votation-ballot/chvote-variant-subject-card/chvote-variant-subject-card.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>[chvote-variant-subject-card]</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./chvote-variant-subject-card.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./chvote-variant-subject-card.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>


                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#display">display</a>
                            </li>
                            <li>
                                <a href="#displaySeparator">displaySeparator</a>
                            </li>
                            <li>
                                <a href="#variantSubject">variantSubject</a>
                            </li>
                        </ul>
                    </td>
                </tr>




        </tbody>
    </table>
</section>


    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="display"></a>
                        <code>display</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code>&quot;ballot&quot; | &quot;summary&quot; | &quot;control&quot;</code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-variant-subject-card/chvote-variant-subject-card.component.ts:35</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="displaySeparator"></a>
                        <code>displaySeparator</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-variant-subject-card/chvote-variant-subject-card.component.ts:41</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="variantSubject"></a>
                        <code>variantSubject</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/VariantSubjects.html" target="_self" >VariantSubjects</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-variant-subject-card/chvote-variant-subject-card.component.ts:38</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>





</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input } from &quot;@angular/core&quot;;
import { VariantSubjects } from &#x27;../../../model/votation&#x27;;

@Component({
  selector: &#x27;[chvote-variant-subject-card]&#x27;,
  templateUrl: &#x27;./chvote-variant-subject-card.component.html&#x27;,
  styleUrls: [&#x27;./chvote-variant-subject-card.component.scss&#x27;]
})
export class ChvoteVariantSubjectCardComponent {

  @Input()
  display: &#x27;ballot&#x27; | &#x27;summary&#x27; | &#x27;control&#x27;;

  @Input()
  variantSubject: VariantSubjects;

  @Input()
  displaySeparator: boolean;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--&gt;
&lt;div class&#x3D;&quot;group-label&quot; localized-label [localizedLabel]&#x3D;&quot;variantSubject.localizedGroupLabel&quot;&gt;&lt;/div&gt;
&lt;hr/&gt;

&lt;ol *ngIf&#x3D;&quot;display &#x3D;&#x3D; &#x27;ballot&#x27;&quot; class&#x3D;&quot;subjects-list&quot;&gt;
  &lt;li *ngFor&#x3D;&quot;let subject of variantSubject.subjects&quot;
      class&#x3D;&quot;subject&quot;
      chvote-subject-card
      [display]&#x3D;&quot;display&quot;
      [subject]&#x3D;&quot;subject&quot;
      [displaySeparator]&#x3D;&quot;true&quot;
      [(selectedAnswer)]&#x3D;&quot;subject.bufferedAnswer&quot;&gt;
  &lt;/li&gt;
  &lt;li class&#x3D;&quot;subject&quot;
      chvote-subject-card
      [display]&#x3D;&quot;display&quot;
      [subject]&#x3D;&quot;variantSubject.tieBreak&quot;
      [displaySeparator]&#x3D;&quot;false&quot;
      [(selectedAnswer)]&#x3D;&quot;variantSubject.tieBreak.bufferedAnswer&quot;&gt;
  &lt;/li&gt;
&lt;/ol&gt;

&lt;ol *ngIf&#x3D;&quot;display !&#x3D;&#x3D; &#x27;ballot&#x27;&quot; class&#x3D;&quot;subjects-list&quot;&gt;
  &lt;li *ngFor&#x3D;&quot;let subject of variantSubject.subjects&quot;
      class&#x3D;&quot;subject&quot;
      chvote-subject-card
      [display]&#x3D;&quot;display&quot;
      [subject]&#x3D;&quot;subject&quot;
      [displaySeparator]&#x3D;&quot;true&quot;
      [(selectedAnswer)]&#x3D;&quot;subject.selectedAnswer&quot;&gt;
  &lt;/li&gt;
  &lt;li class&#x3D;&quot;subject&quot;
      chvote-subject-card
      [display]&#x3D;&quot;display&quot;
      [subject]&#x3D;&quot;variantSubject.tieBreak&quot;
      [displaySeparator]&#x3D;&quot;false&quot;
      [(selectedAnswer)]&#x3D;&quot;variantSubject.tieBreak.selectedAnswer&quot;&gt;
  &lt;/li&gt;
&lt;/ol&gt;

&lt;hr *ngIf&#x3D;&quot;displaySeparator&quot;/&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./chvote-variant-subject-card.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/
.group-label {
  padding: 15px 0 10px 0;
  font-size: 1.2em;
}

hr {
  width: 100%;
  height: 1px;
  color: #98CEE0;
  background-color: #98CEE0;
  border: 0;
}

.subject {
  list-style: none;
}

ol {
  padding: 0;
  margin: 0 0 0 30px;
}

.subjects-list {
  list-style-type: decimal;
  padding: 0;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~ /*                                                                                            ~  ~  - #%L                                                                                        ~  ~  - CHVote-Receiver                                                                            ~  ~  - %%                                                                                         ~  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~  ~  - %%                                                                                         ~  ~  - This program is free software: you can redistribute it and/or modify                       ~  ~  - it under the terms of the GNU Affero General Public License as published by                ~  ~  - the Free Software Foundation, either version 3 of the License, or                          ~  ~  - (at your option) any later version.                                                        ~  ~  -                                                                                            ~  ~  - This program is distributed in the hope that it will be useful,                            ~  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~  ~  - GNU General Public License for more details.                                               ~  ~  -                                                                                            ~  ~  - You should have received a copy of the GNU Affero General Public License                   ~  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~  ~  - #L%                                                                                        ~  ~  */                                                                                           ~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><div class="group-label" localized-label [localizedLabel]="variantSubject.localizedGroupLabel"></div><hr/><ol *ngIf="display == \'ballot\'" class="subjects-list">  <li *ngFor="let subject of variantSubject.subjects"      class="subject"      chvote-subject-card      [display]="display"      [subject]="subject"      [displaySeparator]="true"      [(selectedAnswer)]="subject.bufferedAnswer">  </li>  <li class="subject"      chvote-subject-card      [display]="display"      [subject]="variantSubject.tieBreak"      [displaySeparator]="false"      [(selectedAnswer)]="variantSubject.tieBreak.bufferedAnswer">  </li></ol><ol *ngIf="display !== \'ballot\'" class="subjects-list">  <li *ngFor="let subject of variantSubject.subjects"      class="subject"      chvote-subject-card      [display]="display"      [subject]="subject"      [displaySeparator]="true"      [(selectedAnswer)]="subject.selectedAnswer">  </li>  <li class="subject"      chvote-subject-card      [display]="display"      [subject]="variantSubject.tieBreak"      [displaySeparator]="false"      [(selectedAnswer)]="variantSubject.tieBreak.selectedAnswer">  </li></ol><hr *ngIf="displaySeparator"/></div>'
    var COMPONENTS = [{'name': 'ActionsOnBallotsComponent', 'selector': 'actions-on-ballots'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotsListComponent', 'selector': 'app-ballots-list'},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'ChvoteBallotHeaderComponent', 'selector': 'chvote-ballot-header'},{'name': 'ChvoteCheckboxComponent', 'selector': 'chvote-checkbox'},{'name': 'ChvoteCoatOfArmsComponent', 'selector': 'chvote-coat-of-arms'},{'name': 'ChvoteDialogComponent', 'selector': 'chvote-dialog'},{'name': 'ChvoteDocumentsComponent', 'selector': 'chvote-documents'},{'name': 'ChvoteExpansionPanelComponent', 'selector': 'chvote-expansion-panel'},{'name': 'ChvoteHelperComponent', 'selector': 'chvote-helper'},{'name': 'ChvoteSubjectCardComponent', 'selector': '[chvote-subject-card]'},{'name': 'ChvoteVariantSubjectCardComponent', 'selector': '[chvote-variant-subject-card]'},{'name': 'ChvoteVotationBallotComponent', 'selector': 'chvote-votation-ballot'},{'name': 'ControlComponent', 'selector': 'control, [control]'},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'ErrorMessageComponent', 'selector': 'error-message-component'},{'name': 'FinalizationComponent', 'selector': 'finalization, [finalization]'},{'name': 'FooterDocumentsComponent', 'selector': 'footer-documents'},{'name': 'FooterZoneComponent', 'selector': 'footer-zone'},{'name': 'GroupedVotationCardComponent', 'selector': '[grouped-votation-card]'},{'name': 'HeaderZoneComponent', 'selector': 'header-zone'},{'name': 'IdentificationComponent', 'selector': ''},{'name': 'LegalInformationComponent', 'selector': ''},{'name': 'LocalizedLabelComponent', 'selector': '[localized-label]'},{'name': 'OperationComponent', 'selector': ''},{'name': 'SideZoneComponent', 'selector': 'side-zone'},{'name': 'SideZoneSectionComponent', 'selector': 'side-zone-section'},{'name': 'SingleBallotCardComponent', 'selector': '[single-ballot-card]'},{'name': 'SummaryComponent', 'selector': 'summary, [summary]'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'VotationBallotComponent', 'selector': 'votation-ballot, [votation-ballot]'},{'name': 'VotationCardComponent', 'selector': '[votation-card]'},{'name': 'VoteWorkflowStepComponent', 'selector': 'li[vote-workflow-step]'},{'name': 'VoteWorkflowViewComponent', 'selector': 'vote-workflow-view'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'ChvoteVariantSubjectCardComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ChvoteVariantSubjectCardComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
